;--------------------------------------------------------
; File Created by SDCC : FreeWare ANSI-C Compiler
; Version 2.6.0 #4309 (Mar 10 2007)
; This file generated Sat Mar 10 18:40:22 2007
;--------------------------------------------------------
	.module printf_large
	.optsdcc -mz80
	
;--------------------------------------------------------
; Public variables in this module
;--------------------------------------------------------
	.globl __print_format
;--------------------------------------------------------
; special function registers
;--------------------------------------------------------
;--------------------------------------------------------
;  ram data
;--------------------------------------------------------
	.area _DATA
;--------------------------------------------------------
; overlayable items in  ram 
;--------------------------------------------------------
	.area _OVERLAY
;--------------------------------------------------------
; external initialized ram data
;--------------------------------------------------------
;--------------------------------------------------------
; global & static initialisations
;--------------------------------------------------------
	.area _HOME
	.area _GSINIT
	.area _GSFINAL
	.area _GSINIT
;--------------------------------------------------------
; Home
;--------------------------------------------------------
	.area _HOME
	.area _CODE
;--------------------------------------------------------
; code
;--------------------------------------------------------
	.area _CODE
;printf_large.c:98: static void output_digit( unsigned char n, BOOL lower_case, pfn_outputchar output_char, void* p )
;	genLabel
;	genFunction
;	---------------------------------
; Function output_digit
; ---------------------------------
_output_digit:
	push	ix
	ld	ix,#0
	add	ix,sp
;printf_large.c:100: register unsigned char c = n + (unsigned char)'0';
;	genPlus
;	AOP_STK for 
;	genPlusIncr
;	Can't optimise plus by inc, falling back to the normal way
	ld	a,4(ix)
	add	a,#0x30
	ld	c,a
;printf_large.c:102: if (c > (unsigned char)'9')
;	genCmpGt
	ld	a,#0x39
	sub	a,c
	jp	nc,00104$
;printf_large.c:104: c += (unsigned char)('A' - '0' - 10);
;	genPlus
;	genPlusIncr
;	Can't optimise plus by inc, falling back to the normal way
	ld	a,c
	add	a,#0x07
	ld	c,a
;printf_large.c:105: if (lower_case)
;	genIfx
;	AOP_STK for 
	xor	a,a
	or	a,5(ix)
	jp	z,00104$
;printf_large.c:106: c += (unsigned char)('a' - 'A');
;	genPlus
;	genPlusIncr
;	Can't optimise plus by inc, falling back to the normal way
	ld	a,c
	add	a,#0x20
	ld	c,a
;	genLabel
00104$:
;printf_large.c:108: output_char( c, p );
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 0 deSending: 0
;	AOP_STK for 
	ld	l,8(ix)
	ld	h,9(ix)
	push	hl
;	genIpush
	ld	a,c
	push	af
	inc	sp
;	genPcall
;	AOP_STK for 
	ld	hl,#00109$
	push	hl
	ld	l,6(ix)
	ld	h,7(ix)
	jp	(hl)
00109$:
	pop	af
	inc	sp
;	genLabel
00105$:
;	genEndFunction
	pop	ix
	ret
;printf_large.c:129: static void output_2digits( unsigned char b, BOOL lower_case, pfn_outputchar output_char, void* p )
;	genLabel
;	genFunction
;	---------------------------------
; Function output_2digits
; ---------------------------------
_output_2digits:
	push	ix
	ld	ix,#0
	add	ix,sp
;printf_large.c:131: output_digit( b>>4,   lower_case, output_char, p );
;	genRightShift
;	AOP_STK for 
	ld	c,4(ix)
	srl	c
	srl	c
	srl	c
	srl	c
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 0 deSending: 0
;	AOP_STK for 
	ld	l,8(ix)
	ld	h,9(ix)
	push	hl
;	genIpush
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
;	AOP_STK for 
	ld	a,5(ix)
	push	af
	inc	sp
;	genIpush
	ld	a,c
	push	af
	inc	sp
;	genCall
	call	_output_digit
	pop	af
	pop	af
	pop	af
;printf_large.c:132: output_digit( b&0x0F, lower_case, output_char, p );
;	genAnd
;	AOP_STK for 
	ld	a,4(ix)
	and	a,#0x0F
	ld	c,a
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 0 deSending: 0
;	AOP_STK for 
	ld	l,8(ix)
	ld	h,9(ix)
	push	hl
;	genIpush
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
;	AOP_STK for 
	ld	a,5(ix)
	push	af
	inc	sp
;	genIpush
	ld	a,c
	push	af
	inc	sp
;	genCall
	call	_output_digit
	pop	af
	pop	af
	pop	af
;	genLabel
00101$:
;	genEndFunction
	pop	ix
	ret
;printf_large.c:146: static void calculate_digit( value_t _AUTOMEM * value, unsigned char radix )
;	genLabel
;	genFunction
;	---------------------------------
; Function calculate_digit
; ---------------------------------
_calculate_digit:
	push	ix
	ld	ix,#0
	add	ix,sp
	ld	hl,#-9
	add	hl,sp
	ld	sp,hl
;printf_large.c:148: unsigned long ul = value->ul;
;	genAssign
;	AOP_STK for 
;	AOP_STK for _calculate_digit_sloc0_1_0
	ld	a,4(ix)
	ld	-9(ix),a
	ld	a,5(ix)
	ld	-8(ix),a
;	genPointerGet
;	AOP_STK for _calculate_digit_sloc0_1_0
	ld	l,-9(ix)
	ld	h,-8(ix)
	ld	c,(hl)
	inc	hl
	ld	b,(hl)
	inc	hl
	ld	e,(hl)
	inc	hl
	ld	d,(hl)
;	genAssign
;	AOP_STK for _calculate_digit_ul_1_1
	ld	-4(ix),c
	ld	-3(ix),b
	ld	-2(ix),e
	ld	-1(ix),d
;printf_large.c:149: unsigned char _AUTOMEM * pb4 = &value->byte[4];
;	genPlus
;	AOP_STK for _calculate_digit_sloc0_1_0
;	AOP_STK for _calculate_digit_pb4_1_1
;	genPlusIncr
;	Can't optimise plus by inc, falling back to the normal way
	ld	a,-9(ix)
	add	a,#0x04
	ld	-6(ix),a
	ld	a,-8(ix)
	adc	a,#0x00
	ld	-5(ix),a
;printf_large.c:152: do
;	genAssign
;	AOP_STK for _calculate_digit_i_1_1
	ld	-7(ix),#0x20
;	genLabel
00103$:
;printf_large.c:154: *pb4 = (*pb4 << 1) | ((ul >> 31) & 0x01);
;	genPointerGet
;	AOP_STK for _calculate_digit_pb4_1_1
	ld	l,-6(ix)
	ld	h,-5(ix)
	ld	d,(hl)
;	genLeftShift
	ld	a,d
	add	a,a
	ld	d,a
;	genGetHBIT
;	AOP_STK for _calculate_digit_ul_1_1
	ld	a,-1(ix)
	rlc	a
	and	a,#0x01
	ld	e,a
;	genOr
	ld	a,d
	or	a,e
;	genAssign (pointer)
;	AOP_STK for _calculate_digit_pb4_1_1
;	isBitvar = 0
	ld	l,-6(ix)
	ld	h,-5(ix)
	ld	(hl),a
;printf_large.c:155: ul <<= 1;
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 0 deSending: 0
	ld	a,#0x01
	push	af
	inc	sp
;	genIpush
;	AOP_STK for _calculate_digit_ul_1_1
	ld	l,-2(ix)
	ld	h,-1(ix)
	push	hl
	ld	l,-4(ix)
	ld	h,-3(ix)
	push	hl
;	genCall
	call	__rlulong_rrx_s
	ld	b,d
	ld	c,e
	ld	d,h
	ld	e,l
	pop	af
	pop	af
	inc	sp
;	genAssign
;	AOP_STK for _calculate_digit_ul_1_1
	ld	-4(ix),e
	ld	-3(ix),d
	ld	-2(ix),c
	ld	-1(ix),b
;printf_large.c:157: if (radix <= *pb4 )
;	genPointerGet
;	AOP_STK for _calculate_digit_pb4_1_1
	ld	l,-6(ix)
	ld	h,-5(ix)
	ld	c,(hl)
;	genCmpGt
;	AOP_STK for 
	ld	a,c
	sub	a,6(ix)
	jp	c,00104$
;printf_large.c:159: *pb4 -= radix;
;	genPointerGet
;	AOP_STK for _calculate_digit_pb4_1_1
	ld	l,-6(ix)
	ld	h,-5(ix)
	ld	c,(hl)
;	genMinus
;	AOP_STK for 
	ld	a,c
	sub	a,6(ix)
;	genAssign (pointer)
;	AOP_STK for _calculate_digit_pb4_1_1
;	isBitvar = 0
	ld	l,-6(ix)
	ld	h,-5(ix)
	ld	(hl),a
;printf_large.c:160: ul |= 1;
;	genOr
;	AOP_STK for _calculate_digit_ul_1_1
	ld	a,-4(ix)
	or	a,#0x01
	ld	-4(ix),a
;	genLabel
00104$:
;printf_large.c:162: } while (--i);
;	genMinus
;	AOP_STK for _calculate_digit_i_1_1
	dec	-7(ix)
;	genIfx
;	AOP_STK for _calculate_digit_i_1_1
	xor	a,a
	or	a,-7(ix)
	jp	nz,00103$
;printf_large.c:163: value->ul = ul;
;	genAssign (pointer)
;	AOP_STK for _calculate_digit_sloc0_1_0
;	AOP_STK for _calculate_digit_ul_1_1
;	isBitvar = 0
	ld	l,-9(ix)
	ld	h,-8(ix)
	ld	a,-4(ix)
	ld	(hl),a
	inc	hl
	ld	a,-3(ix)
	ld	(hl),a
	inc	hl
	ld	a,-2(ix)
	ld	(hl),a
	inc	hl
	ld	a,-1(ix)
	ld	(hl),a
;	genLabel
00106$:
;	genEndFunction
	ld	sp,ix
	pop	ix
	ret
;printf_large.c:385: int _print_format (pfn_outputchar pfn, void* pvoid, const char *format, va_list ap)
;	genLabel
;	genFunction
;	---------------------------------
; Function _print_format
; ---------------------------------
__print_format_start::
__print_format:
	push	ix
	ld	ix,#0
	add	ix,sp
	ld	hl,#-36
	add	hl,sp
	ld	sp,hl
;printf_large.c:417: charsOutputted = 0;
;	genAssign
;	AOP_STK for __print_format_sloc5_1_0
	ld	-36(ix),#0x00
	ld	-35(ix),#0x00
;printf_large.c:425: while( c=*format++ )
;	genAddrOf
	ld	hl,#0x000C
	add	hl,sp
	ld	e,l
	ld	d,h
;	genPlus
;	AOP_STK for __print_format_sloc0_1_0
;	genPlusIncr
;	Can't optimise plus by inc, falling back to the normal way
	ld	a,e
	add	a,#0x05
	ld	-28(ix),a
	ld	a,d
	adc	a,#0x00
	ld	-27(ix),a
;	genLabel
00222$:
;	genAssign
;	AOP_STK for 
	ld	c,8(ix)
	ld	b,9(ix)
;	genPointerGet
	ld	a,(bc)
	ld	e,a
;	genPlus
;	AOP_STK for 
;	genPlusIncr
;	Can't optimise plus by inc, falling back to the normal way
	ld	a,c
	add	a,#0x01
	ld	8(ix),a
	ld	a,b
	adc	a,#0x00
	ld	9(ix),a
;	genAssign
	ld	b,e
;	genIfx
	xor	a,a
	or	a,e
	jp	z,00224$
;printf_large.c:427: if ( c=='%' )
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,b
	cp	a,#0x25
	jp	z,00304$
00303$:
	jp	00220$
00304$:
;printf_large.c:429: left_justify    = 0;
;	genAssign
;	AOP_STK for __print_format_left_justify_1_1
	ld	-1(ix),#0x00
;printf_large.c:430: zero_padding    = 0;
;	genAssign
;	AOP_STK for __print_format_zero_padding_1_1
	ld	-2(ix),#0x00
;printf_large.c:431: prefix_sign     = 0;
;	genAssign
;	AOP_STK for __print_format_prefix_sign_1_1
	ld	-3(ix),#0x00
;printf_large.c:432: prefix_space    = 0;
;	genAssign
;	AOP_STK for __print_format_prefix_space_1_1
	ld	-4(ix),#0x00
;printf_large.c:433: signed_argument = 0;
;	genAssign
;	AOP_STK for __print_format_signed_argument_1_1
	ld	-5(ix),#0x00
;printf_large.c:434: char_argument   = 0;
;	genAssign
;	AOP_STK for __print_format_char_argument_1_1
	ld	-6(ix),#0x00
;printf_large.c:435: long_argument   = 0;
;	genAssign
;	AOP_STK for __print_format_long_argument_1_1
	ld	-7(ix),#0x00
;printf_large.c:436: float_argument  = 0;
;	genAssign
;	AOP_STK for __print_format_float_argument_1_1
	ld	-8(ix),#0x00
;printf_large.c:437: radix           = 0;
;	genAssign
;	AOP_STK for __print_format_radix_1_1
	ld	-16(ix),#0x00
;printf_large.c:438: width           = 0;
;	genAssign
;	AOP_STK for __print_format_width_1_1
	ld	-17(ix),#0x00
;printf_large.c:439: decimals        = -1;
;	genAssign
	ld	c,#0xFF
;printf_large.c:441: get_conversion_spec:
;	genAssign
;	AOP_STK for 
;	AOP_STK for __print_format_sloc1_1_0
	ld	a,8(ix)
	ld	-30(ix),a
	ld	a,9(ix)
	ld	-29(ix),a
;	genLabel
00101$:
;printf_large.c:443: c = *format++;
;	genPointerGet
;	AOP_STK for __print_format_sloc1_1_0
	ld	l,-30(ix)
	ld	h,-29(ix)
	ld	e,(hl)
;	genPlus
;	AOP_STK for __print_format_sloc1_1_0
;	genPlusIncr
	inc	-30(ix)
	jp	nz,00305$
	inc	-29(ix)
00305$:
;	genAssign
;	AOP_STK for __print_format_sloc1_1_0
;	AOP_STK for 
	ld	a,-30(ix)
	ld	8(ix),a
	ld	a,-29(ix)
	ld	9(ix),a
;	genAssign
	ld	b,e
;printf_large.c:445: if (c=='%') {
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,b
	cp	a,#0x25
	jp	z,00307$
00306$:
	jp	00103$
00307$:
;printf_large.c:446: OUTPUT_CHAR(c, p);
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 0 deSending: 0
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
	push	bc
	inc	sp
;	genPcall
;	AOP_STK for 
	ld	hl,#00308$
	push	hl
	ld	l,4(ix)
	ld	h,5(ix)
	jp	(hl)
00308$:
	pop	af
	inc	sp
;	genPlus
;	AOP_STK for __print_format_sloc5_1_0
;	genPlusIncr
	inc	-36(ix)
	jp	nz,00309$
	inc	-35(ix)
00309$:
;printf_large.c:447: continue;
;	genGoto
	jp	00222$
;	genLabel
00103$:
;printf_large.c:450: if (isdigit(c)) {
;	genAssign
	ld	e,b
;	genCmpLt
	ld	a,e
	sub	a,#0x30
	jp	c,00110$
;	genAssign
	ld	e,b
;	genCmpGt
	ld	a,#0x39
	sub	a,e
	jp	c,00110$
;printf_large.c:451: if (decimals==-1) {
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,c
	cp	a,#0xFF
	jp	z,00311$
00310$:
	jp	00107$
00311$:
;printf_large.c:452: width = 10*width + (c - '0');
;	genMult
;	AOP_STK for __print_format_width_1_1
	ld	e,-17(ix)
	ld	d,#0x00
	ld	l,e
	add	hl,hl
	add	hl,hl
	add	hl,de
	add	hl,hl
	ld	e,l
;	genMinus
	ld	a,b
	add	a,#0xD0
	ld	d,a
;	genPlus
;	Can't optimise plus by inc, falling back to the normal way
	ld	a,e
	add	a,d
	ld	e,a
;	genAssign
;	AOP_STK for __print_format_width_1_1
	ld	-17(ix),e
;printf_large.c:453: if (width == 0) {
;	genIfx
;	AOP_STK for __print_format_width_1_1
	xor	a,a
	or	a,-17(ix)
	jp	nz,00101$
;printf_large.c:455: zero_padding = 1;
;	genAssign
;	AOP_STK for __print_format_zero_padding_1_1
	ld	-2(ix),#0x01
;	genGoto
	jp	00101$
;	genLabel
00107$:
;printf_large.c:458: decimals = 10*decimals + (c-'0');
;	genMult
	ld	e,c
	ld	l,e
	add	hl,hl
	add	hl,hl
	add	hl,de
	add	hl,hl
	ld	e,l
;	genMinus
	ld	a,b
	add	a,#0xD0
	ld	d,a
;	genPlus
;	Can't optimise plus by inc, falling back to the normal way
	ld	a,e
	add	a,d
	ld	e,a
;	genAssign
	ld	c,e
;printf_large.c:460: goto get_conversion_spec;
;	genGoto
	jp	00101$
;	genLabel
00110$:
;printf_large.c:463: if (c=='.') {
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,b
	cp	a,#0x2E
	jp	z,00313$
00312$:
	jp	00115$
00313$:
;printf_large.c:464: if (decimals=-1) decimals=0;
;	genAssign
	ld	c,#0x00
;printf_large.c:467: goto get_conversion_spec;
;	genGoto
	jp	00101$
;	genLabel
00115$:
;printf_large.c:470: lower_case = islower(c);
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 1 deSending: 0
	push	bc
	push	bc
	inc	sp
;	genCall
	call	_islower
	ld	e,l
	inc	sp
	pop	bc
;	genAssign
;	AOP_STK for __print_format_lower_case_1_1
	ld	-9(ix),e
;printf_large.c:471: if (lower_case)
;	genIfx
;	AOP_STK for __print_format_lower_case_1_1
	xor	a,a
	or	a,-9(ix)
	jp	z,00117$
;printf_large.c:473: c = toupper(c);
;	genAnd
	ld	a,b
	and	a,#0xDF
	ld	b,a
;	genLabel
00117$:
;printf_large.c:476: switch( c )
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,b
	cp	a,#0x20
	jp	z,00120$
00314$:
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,b
	cp	a,#0x2B
	jp	z,00119$
00315$:
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,b
	cp	a,#0x2D
	jp	z,00118$
00316$:
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,b
	cp	a,#0x42
	jp	z,00121$
00317$:
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,b
	cp	a,#0x43
	jp	z,00123$
00318$:
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,b
	cp	a,#0x44
	jp	z,00145$
00319$:
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,b
	cp	a,#0x46
	jp	z,00149$
00320$:
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,b
	cp	a,#0x49
	jp	z,00145$
00321$:
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,b
	cp	a,#0x4C
	jp	z,00122$
00322$:
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,b
	cp	a,#0x4F
	jp	z,00146$
00323$:
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,b
	cp	a,#0x50
	jp	z,00143$
00324$:
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,b
	cp	a,#0x53
	jp	z,00124$
00325$:
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,b
	cp	a,#0x55
	jp	z,00147$
00326$:
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,b
	cp	a,#0x58
	jp	z,00148$
00327$:
;	genGoto
	jp	00150$
;printf_large.c:478: case '-':
;	genLabel
00118$:
;printf_large.c:479: left_justify = 1;
;	genAssign
;	AOP_STK for __print_format_left_justify_1_1
	ld	-1(ix),#0x01
;printf_large.c:480: goto get_conversion_spec;
;	genGoto
	jp	00101$
;printf_large.c:481: case '+':
;	genLabel
00119$:
;printf_large.c:482: prefix_sign = 1;
;	genAssign
;	AOP_STK for __print_format_prefix_sign_1_1
	ld	-3(ix),#0x01
;printf_large.c:483: goto get_conversion_spec;
;	genGoto
	jp	00101$
;printf_large.c:484: case ' ':
;	genLabel
00120$:
;printf_large.c:485: prefix_space = 1;
;	genAssign
;	AOP_STK for __print_format_prefix_space_1_1
	ld	-4(ix),#0x01
;printf_large.c:486: goto get_conversion_spec;
;	genGoto
	jp	00101$
;printf_large.c:487: case 'B':
;	genLabel
00121$:
;printf_large.c:488: char_argument = 1;
;	genAssign
;	AOP_STK for __print_format_char_argument_1_1
	ld	-6(ix),#0x01
;printf_large.c:489: goto get_conversion_spec;
;	genGoto
	jp	00101$
;printf_large.c:490: case 'L':
;	genLabel
00122$:
;printf_large.c:491: long_argument = 1;
;	genAssign
;	AOP_STK for __print_format_long_argument_1_1
	ld	-7(ix),#0x01
;printf_large.c:492: goto get_conversion_spec;
;	genGoto
	jp	00101$
;printf_large.c:494: case 'C':
;	genLabel
00123$:
;printf_large.c:495: OUTPUT_CHAR( va_arg(ap,int), p );
;	genPlus
;	AOP_STK for 
;	genPlusIncr
;	Can't optimise plus by inc, falling back to the normal way
	ld	a,10(ix)
	add	a,#0x02
	ld	d,a
	ld	a,11(ix)
	adc	a,#0x00
	ld	e,a
;	genAssign
;	AOP_STK for 
	ld	10(ix),d
	ld	11(ix),e
;	genMinus
	ld	l,d
	ld	h,e
	dec	hl
	dec	hl
;	genPointerGet
	ld	d,l
	ld	e,h
	ld	d,(hl)
	inc	hl
	ld	e,(hl)
;	genCast
; Removed redundent load
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 0 deSending: 0
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
	push	de
	inc	sp
;	genPcall
;	AOP_STK for 
	ld	hl,#00328$
	push	hl
	ld	l,4(ix)
	ld	h,5(ix)
	jp	(hl)
00328$:
	pop	af
	inc	sp
;	genPlus
;	AOP_STK for __print_format_sloc5_1_0
;	genPlusIncr
	inc	-36(ix)
	jp	nz,00329$
	inc	-35(ix)
00329$:
;printf_large.c:496: break;
;	genGoto
	jp	00151$
;printf_large.c:498: case 'S':
;	genLabel
00124$:
;printf_large.c:499: PTR = va_arg(ap,ptr_t);
;	genAddrOf
;	AOP_STK for __print_format_sloc1_1_0
	ld	hl,#0x0016
	add	hl,sp
	ld	-30(ix),l
	ld	-29(ix),h
;	genPlus
;	AOP_STK for 
;	genPlusIncr
	ld	e,10(ix)
	ld	d,11(ix)
	inc	de
	inc	de
;	genAssign
;	AOP_STK for 
	ld	10(ix),e
	ld	11(ix),d
;	genMinus
	dec	de
	dec	de
;	genPointerGet
	ld	l,e
	ld	h,d
	ld	e,(hl)
	inc	hl
	ld	d,(hl)
;	genAssign (pointer)
;	AOP_STK for __print_format_sloc1_1_0
;	isBitvar = 0
	ld	l,-30(ix)
	ld	h,-29(ix)
	ld	(hl),e
	inc	hl
	ld	(hl),d
;printf_large.c:509: length = strlen(PTR);
;	genPointerGet
;	AOP_STK for __print_format_sloc1_1_0
	ld	l,-30(ix)
	ld	h,-29(ix)
	ld	e,(hl)
	inc	hl
	ld	d,(hl)
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 1 deSending: 0
	push	bc
	push	de
;	genCall
	call	_strlen
	ld	d,h
	ld	e,l
	pop	af
	pop	bc
;	genCast
;	AOP_STK for __print_format_sloc2_1_0
	ld	-31(ix),e
;printf_large.c:511: if ( decimals == -1 )
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,c
	cp	a,#0xFF
	jp	z,00331$
00330$:
	jp	00126$
00331$:
;printf_large.c:513: decimals = length;
;	genAssign
;	AOP_STK for __print_format_sloc2_1_0
	ld	c,-31(ix)
;	genLabel
00126$:
;printf_large.c:515: if ( ( !left_justify ) && (length < width) )
;	genIfx
;	AOP_STK for __print_format_left_justify_1_1
	xor	a,a
	or	a,-1(ix)
	jp	nz,00261$
;	genCmpLt
;	AOP_STK for __print_format_sloc2_1_0
;	AOP_STK for __print_format_width_1_1
	ld	a,-31(ix)
	sub	a,-17(ix)
	jp	nc,00261$
;printf_large.c:517: width -= length;
;	genMinus
;	AOP_STK for __print_format_width_1_1
;	AOP_STK for __print_format_sloc2_1_0
	ld	a,-17(ix)
	sub	a,-31(ix)
	ld	-17(ix),a
;printf_large.c:518: while( width-- != 0 )
;	genAssign
;	AOP_STK for __print_format_sloc5_1_0
;	AOP_STK for __print_format_sloc1_1_0
	ld	a,-36(ix)
	ld	-30(ix),a
	ld	a,-35(ix)
	ld	-29(ix),a
;	genAssign
;	AOP_STK for __print_format_width_1_1
	ld	d,-17(ix)
;	genLabel
00127$:
;	genAssign
	ld	e,d
;	genMinus
	dec	d
;	genAssign
;	AOP_STK for __print_format_width_1_1
	ld	-17(ix),d
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,e
	or	a,a
	jp	z,00296$
00332$:
;printf_large.c:520: OUTPUT_CHAR( ' ', p );
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 1 bcInUse: 1 deSending: 0
	push	bc
	push	de
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
	ld	a,#0x20
	push	af
	inc	sp
;	genPcall
;	AOP_STK for 
	ld	hl,#00333$
	push	hl
	ld	l,4(ix)
	ld	h,5(ix)
	jp	(hl)
00333$:
	pop	af
	inc	sp
	pop	de
	pop	bc
;	genPlus
;	AOP_STK for __print_format_sloc1_1_0
;	genPlusIncr
	inc	-30(ix)
	jp	nz,00334$
	inc	-29(ix)
00334$:
;	genAssign
;	AOP_STK for __print_format_sloc1_1_0
;	AOP_STK for __print_format_sloc5_1_0
	ld	a,-30(ix)
	ld	-36(ix),a
	ld	a,-29(ix)
	ld	-35(ix),a
;	genGoto
	jp	00127$
;printf_large.c:524: while ( *PTR  && (decimals-- > 0))
;	genLabel
00296$:
;	genAssign
;	AOP_STK for __print_format_sloc1_1_0
;	AOP_STK for __print_format_sloc5_1_0
	ld	a,-30(ix)
	ld	-36(ix),a
	ld	a,-29(ix)
	ld	-35(ix),a
;	genAssign
;	AOP_STK for __print_format_width_1_1
	ld	-17(ix),d
;	genLabel
00261$:
;	genAssign
;	AOP_STK for __print_format_sloc4_1_0
	ld	-34(ix),c
;	genAssign
;	AOP_STK for __print_format_sloc5_1_0
;	AOP_STK for __print_format_sloc1_1_0
	ld	a,-36(ix)
	ld	-30(ix),a
	ld	a,-35(ix)
	ld	-29(ix),a
;	genLabel
00134$:
;	genAddrOf
	ld	hl,#0x0016
	add	hl,sp
;	genPointerGet
	ld	c,l
	ld	b,h
	ld	d,(hl)
	inc	hl
	ld	e,(hl)
;	genPointerGet
	ld	l,d
	ld	h,e
	ld	a,(hl)
;	genIfx
	or	a,a
	jp	z,00297$
;	genAssign
;	AOP_STK for __print_format_sloc4_1_0
	ld	e,-34(ix)
;	genMinus
;	AOP_STK for __print_format_sloc4_1_0
	dec	-34(ix)
;	genCmpGt
	ld	a,#0x00
	sub	a,e
	jp	p,00297$
;printf_large.c:526: OUTPUT_CHAR( *PTR++, p );
;	genPointerGet
;	AOP_STK for __print_format_sloc5_1_0
	ld	l,c
	ld	h,b
	ld	a,(hl)
	ld	-36(ix),a
	inc	hl
	ld	a,(hl)
	ld	-35(ix),a
;	genPlus
;	AOP_STK for __print_format_sloc5_1_0
;	genPlusIncr
	ld	e,-36(ix)
	ld	d,-35(ix)
	inc	de
;	genAssign (pointer)
;	isBitvar = 0
	ld	l,c
	ld	h,b
	ld	(hl),e
	inc	hl
	ld	(hl),d
;	genPointerGet
;	AOP_STK for __print_format_sloc5_1_0
	ld	l,-36(ix)
	ld	h,-35(ix)
	ld	e,(hl)
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 0 deSending: 0
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
	ld	a,e
	push	af
	inc	sp
;	genPcall
;	AOP_STK for 
	ld	hl,#00335$
	push	hl
	ld	l,4(ix)
	ld	h,5(ix)
	jp	(hl)
00335$:
	pop	af
	inc	sp
;	genPlus
;	AOP_STK for __print_format_sloc1_1_0
;	genPlusIncr
	inc	-30(ix)
	jp	nz,00336$
	inc	-29(ix)
00336$:
;	genAssign
;	AOP_STK for __print_format_sloc1_1_0
;	AOP_STK for __print_format_sloc5_1_0
	ld	a,-30(ix)
	ld	-36(ix),a
	ld	a,-29(ix)
	ld	-35(ix),a
;	genGoto
	jp	00134$
;	genLabel
00297$:
;	genAssign
;	AOP_STK for __print_format_sloc1_1_0
;	AOP_STK for __print_format_sloc5_1_0
	ld	a,-30(ix)
	ld	-36(ix),a
	ld	a,-29(ix)
	ld	-35(ix),a
;printf_large.c:529: if ( left_justify && (length < width))
;	genIfx
;	AOP_STK for __print_format_left_justify_1_1
	xor	a,a
	or	a,-1(ix)
	jp	z,00151$
;	genCmpLt
;	AOP_STK for __print_format_sloc2_1_0
;	AOP_STK for __print_format_width_1_1
	ld	a,-31(ix)
	sub	a,-17(ix)
	jp	nc,00151$
;printf_large.c:531: width -= length;
;	genMinus
;	AOP_STK for __print_format_width_1_1
;	AOP_STK for __print_format_sloc2_1_0
	ld	a,-17(ix)
	sub	a,-31(ix)
	ld	-17(ix),a
;printf_large.c:532: while( width-- != 0 )
;	genAssign
;	AOP_STK for __print_format_sloc1_1_0
	ld	c,-30(ix)
	ld	b,-29(ix)
;	genAssign
;	AOP_STK for __print_format_width_1_1
	ld	e,-17(ix)
;	genLabel
00137$:
;	genAssign
	ld	d,e
;	genMinus
	dec	e
;	genAssign
;	AOP_STK for __print_format_width_1_1
	ld	-17(ix),e
;	genCmpEq
; genCmpEq: left 1, right 1, result 0
	ld	a,d
	or	a,a
	jp	z,00298$
00337$:
;printf_large.c:534: OUTPUT_CHAR( ' ', p );
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 1 bcInUse: 1 deSending: 0
	push	bc
	push	de
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
	ld	a,#0x20
	push	af
	inc	sp
;	genPcall
;	AOP_STK for 
	ld	hl,#00338$
	push	hl
	ld	l,4(ix)
	ld	h,5(ix)
	jp	(hl)
00338$:
	pop	af
	inc	sp
	pop	de
	pop	bc
;	genPlus
;	genPlusIncr
	inc	bc
;	genAssign
;	AOP_STK for __print_format_sloc5_1_0
	ld	-36(ix),c
	ld	-35(ix),b
;	genGoto
	jp	00137$
;printf_large.c:539: case 'P':
;	genLabel
00143$:
;printf_large.c:540: PTR = va_arg(ap,ptr_t);
;	genAddrOf
	ld	hl,#0x0016
	add	hl,sp
	ld	e,l
	ld	d,h
;	genPlus
;	AOP_STK for 
;	genPlusIncr
;	Can't optimise plus by inc, falling back to the normal way
	ld	a,10(ix)
	add	a,#0x02
	ld	b,a
	ld	a,11(ix)
	adc	a,#0x00
	ld	c,a
;	genAssign
;	AOP_STK for 
	ld	10(ix),b
	ld	11(ix),c
;	genMinus
	ld	l,b
	ld	h,c
	dec	hl
	dec	hl
;	genPointerGet
	ld	b,l
	ld	c,h
	ld	b,(hl)
	inc	hl
	ld	c,(hl)
;	genAssign (pointer)
;	isBitvar = 0
	ld	l,e
	ld	h,d
	ld	(hl),b
	inc	hl
	ld	(hl),c
;printf_large.c:584: OUTPUT_CHAR('0', p);
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 0 deSending: 0
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
	ld	a,#0x30
	push	af
	inc	sp
;	genPcall
;	AOP_STK for 
	ld	hl,#00339$
	push	hl
	ld	l,4(ix)
	ld	h,5(ix)
	jp	(hl)
00339$:
	pop	af
	inc	sp
;	genPlus
;	AOP_STK for __print_format_sloc5_1_0
;	genPlusIncr
	inc	-36(ix)
	jp	nz,00340$
	inc	-35(ix)
00340$:
;printf_large.c:585: OUTPUT_CHAR('x', p);
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 0 deSending: 0
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
	ld	a,#0x78
	push	af
	inc	sp
;	genPcall
;	AOP_STK for 
	ld	hl,#00341$
	push	hl
	ld	l,4(ix)
	ld	h,5(ix)
	jp	(hl)
00341$:
	pop	af
	inc	sp
;	genPlus
;	AOP_STK for __print_format_sloc5_1_0
;	genPlusIncr
	inc	-36(ix)
	jp	nz,00342$
	inc	-35(ix)
00342$:
;printf_large.c:586: OUTPUT_2DIGITS( value.byte[1] );
;	genAddrOf
	ld	hl,#0x0016
	add	hl,sp
	ld	c,l
	ld	b,h
;	genPlus
;	genPlusIncr
	inc	bc
;	genPointerGet
	ld	a,(bc)
	ld	c,a
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 0 deSending: 0
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
;	AOP_STK for 
	ld	l,4(ix)
	ld	h,5(ix)
	push	hl
;	genIpush
;	AOP_STK for __print_format_lower_case_1_1
	ld	a,-9(ix)
	push	af
	inc	sp
;	genIpush
	ld	a,c
	push	af
	inc	sp
;	genCall
	call	_output_2digits
	pop	af
	pop	af
	pop	af
;	genPlus
;	AOP_STK for __print_format_sloc5_1_0
;	genPlusIncr
;	Can't optimise plus by inc, falling back to the normal way
	ld	a,-36(ix)
	add	a,#0x02
	ld	-36(ix),a
	ld	a,-35(ix)
	adc	a,#0x00
	ld	-35(ix),a
;printf_large.c:587: OUTPUT_2DIGITS( value.byte[0] );
;	genAddrOf
	ld	hl,#0x0016
	add	hl,sp
	ld	c,l
	ld	b,h
;	genPointerGet
	ld	a,(bc)
	ld	c,a
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 0 deSending: 0
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
;	AOP_STK for 
	ld	l,4(ix)
	ld	h,5(ix)
	push	hl
;	genIpush
;	AOP_STK for __print_format_lower_case_1_1
	ld	a,-9(ix)
	push	af
	inc	sp
;	genIpush
	ld	a,c
	push	af
	inc	sp
;	genCall
	call	_output_2digits
	pop	af
	pop	af
	pop	af
;	genPlus
;	AOP_STK for __print_format_sloc5_1_0
;	genPlusIncr
;	Can't optimise plus by inc, falling back to the normal way
	ld	a,-36(ix)
	add	a,#0x02
	ld	-36(ix),a
	ld	a,-35(ix)
	adc	a,#0x00
	ld	-35(ix),a
;printf_large.c:589: break;
;	genGoto
	jp	00151$
;printf_large.c:592: case 'I':
;	genLabel
00145$:
;printf_large.c:593: signed_argument = 1;
;	genAssign
;	AOP_STK for __print_format_signed_argument_1_1
	ld	-5(ix),#0x01
;printf_large.c:594: radix = 10;
;	genAssign
;	AOP_STK for __print_format_radix_1_1
	ld	-16(ix),#0x0A
;printf_large.c:595: break;
;	genGoto
	jp	00151$
;printf_large.c:597: case 'O':
;	genLabel
00146$:
;printf_large.c:598: radix = 8;
;	genAssign
;	AOP_STK for __print_format_radix_1_1
	ld	-16(ix),#0x08
;printf_large.c:599: break;
;	genGoto
	jp	00151$
;printf_large.c:601: case 'U':
;	genLabel
00147$:
;printf_large.c:602: radix = 10;
;	genAssign
;	AOP_STK for __print_format_radix_1_1
	ld	-16(ix),#0x0A
;printf_large.c:603: break;
;	genGoto
	jp	00151$
;printf_large.c:605: case 'X':
;	genLabel
00148$:
;printf_large.c:606: radix = 16;
;	genAssign
;	AOP_STK for __print_format_radix_1_1
	ld	-16(ix),#0x10
;printf_large.c:607: break;
;	genGoto
	jp	00151$
;printf_large.c:609: case 'F':
;	genLabel
00149$:
;printf_large.c:610: float_argument=1;
;	genAssign
;	AOP_STK for __print_format_float_argument_1_1
	ld	-8(ix),#0x01
;printf_large.c:611: break;
;	genGoto
	jp	00151$
;printf_large.c:613: default:
;	genLabel
00150$:
;printf_large.c:615: OUTPUT_CHAR( c, p );
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 0 deSending: 0
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
	push	bc
	inc	sp
;	genPcall
;	AOP_STK for 
	ld	hl,#00343$
	push	hl
	ld	l,4(ix)
	ld	h,5(ix)
	jp	(hl)
00343$:
	pop	af
	inc	sp
;	genPlus
;	AOP_STK for __print_format_sloc5_1_0
;	genPlusIncr
	inc	-36(ix)
	jp	nz,00344$
	inc	-35(ix)
00344$:
;printf_large.c:792: return charsOutputted;
;	genGoto
	jp	00151$
;printf_large.c:617: }
;	genLabel
00298$:
;	genAssign
;	AOP_STK for __print_format_sloc5_1_0
	ld	-36(ix),c
	ld	-35(ix),b
;	genAssign
;	AOP_STK for __print_format_width_1_1
	ld	-17(ix),e
;	genLabel
00151$:
;printf_large.c:619: if (float_argument) {
;	genIfx
;	AOP_STK for __print_format_float_argument_1_1
	xor	a,a
	or	a,-8(ix)
	jp	z,00217$
;printf_large.c:620: value.f=va_arg(ap,float);
;	genAddrOf
;	AOP_STK for __print_format_sloc3_1_0
	ld	hl,#0x0016
	add	hl,sp
	ld	-33(ix),l
	ld	-32(ix),h
;	genPlus
;	AOP_STK for 
;	genPlusIncr
;	Can't optimise plus by inc, falling back to the normal way
	ld	a,10(ix)
	add	a,#0x04
	ld	e,a
	ld	a,11(ix)
	adc	a,#0x00
	ld	d,a
;	genAssign
;	AOP_STK for 
	ld	10(ix),e
	ld	11(ix),d
;	genMinus
	ld	a,e
	add	a,#0xFC
	ld	e,a
	ld	a,d
	adc	a,#0xFF
	ld	d,a
;	genPointerGet
	ld	l,e
	ld	h,d
	ld	e,(hl)
	inc	hl
	ld	d,(hl)
	inc	hl
	ld	c,(hl)
	inc	hl
	ld	b,(hl)
;	genAssign (pointer)
;	AOP_STK for __print_format_sloc3_1_0
;	isBitvar = 0
	ld	l,-33(ix)
	ld	h,-32(ix)
	ld	(hl),e
	inc	hl
	ld	(hl),d
	inc	hl
	ld	(hl),c
	inc	hl
	ld	(hl),b
;printf_large.c:622: PTR="<NO FLOAT>";
;	genAddrOf
	ld	hl,#0x0016
	add	hl,sp
;	genAssign (pointer)
;	isBitvar = 0
	ld	c,l
	ld	b,h
	ld	(hl),#<__str_0
	inc	hl
	ld	(hl),#>__str_0
;printf_large.c:623: while (c=*PTR++)
;	genAssign
;	AOP_STK for __print_format_sloc5_1_0
;	AOP_STK for __print_format_sloc3_1_0
	ld	a,-36(ix)
	ld	-33(ix),a
	ld	a,-35(ix)
	ld	-32(ix),a
;	genLabel
00152$:
;	genAddrOf
	ld	hl,#0x0016
	add	hl,sp
;	genPointerGet
;	AOP_STK for __print_format_sloc1_1_0
	ld	e,l
	ld	d,h
	ld	a,(hl)
	ld	-30(ix),a
	inc	hl
	ld	a,(hl)
	ld	-29(ix),a
;	genPlus
;	AOP_STK for __print_format_sloc1_1_0
;	genPlusIncr
	ld	c,-30(ix)
	ld	b,-29(ix)
	inc	bc
;	genAssign (pointer)
;	isBitvar = 0
	ld	l,e
	ld	h,d
	ld	(hl),c
	inc	hl
	ld	(hl),b
;	genPointerGet
;	AOP_STK for __print_format_sloc1_1_0
	ld	l,-30(ix)
	ld	h,-29(ix)
	ld	c,(hl)
;	genAssign
	ld	b,c
;	genIfx
	xor	a,a
	or	a,c
	jp	z,00222$
;printf_large.c:625: OUTPUT_CHAR (c, p);
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 0 deSending: 0
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
	push	bc
	inc	sp
;	genPcall
;	AOP_STK for 
	ld	hl,#00345$
	push	hl
	ld	l,4(ix)
	ld	h,5(ix)
	jp	(hl)
00345$:
	pop	af
	inc	sp
;	genPlus
;	AOP_STK for __print_format_sloc3_1_0
;	genPlusIncr
	inc	-33(ix)
	jp	nz,00346$
	inc	-32(ix)
00346$:
;	genAssign
;	AOP_STK for __print_format_sloc3_1_0
;	AOP_STK for __print_format_sloc5_1_0
	ld	a,-33(ix)
	ld	-36(ix),a
	ld	a,-32(ix)
	ld	-35(ix),a
;	genGoto
	jp	00152$
;	genLabel
00217$:
;printf_large.c:642: } else if (radix != 0)
;	genCmpEq
;	AOP_STK for __print_format_radix_1_1
; genCmpEq: left 1, right 1, result 0
	ld	a,-16(ix)
	or	a,a
	jp	z,00222$
00347$:
;printf_large.c:647: unsigned char _AUTOMEM *pstore = &store[5];
;	genAssign
;	AOP_STK for __print_format_sloc0_1_0
;	AOP_STK for __print_format_pstore_4_31
	ld	a,-28(ix)
	ld	-26(ix),a
	ld	a,-27(ix)
	ld	-25(ix),a
;printf_large.c:650: if (char_argument)
;	genIfx
;	AOP_STK for __print_format_char_argument_1_1
	xor	a,a
	or	a,-6(ix)
	jp	z,00163$
;printf_large.c:652: value.l = va_arg(ap,char);
;	genAddrOf
;	AOP_STK for __print_format_sloc3_1_0
	ld	hl,#0x0016
	add	hl,sp
	ld	-33(ix),l
	ld	-32(ix),h
;	genPlus
;	AOP_STK for 
;	genPlusIncr
	ld	c,10(ix)
	ld	b,11(ix)
	inc	bc
;	genAssign
;	AOP_STK for 
	ld	10(ix),c
	ld	11(ix),b
;	genMinus
	dec	bc
;	genPointerGet
	ld	a,(bc)
;	genCast
; Removed redundent load
	ld	c,a
	rla	
	sbc	a,a
	ld	b,a
	ld	e,a
	ld	d,a
;	genAssign (pointer)
;	AOP_STK for __print_format_sloc3_1_0
;	isBitvar = 0
	ld	l,-33(ix)
	ld	h,-32(ix)
	ld	(hl),c
	inc	hl
	ld	(hl),b
	inc	hl
	ld	(hl),e
	inc	hl
	ld	(hl),d
;printf_large.c:653: if (!signed_argument)
;	genIfx
;	AOP_STK for __print_format_signed_argument_1_1
	xor	a,a
	or	a,-5(ix)
	jp	nz,00164$
;printf_large.c:655: value.l &= 0xFF;
;	genPointerGet
;	AOP_STK for __print_format_sloc3_1_0
	ld	l,-33(ix)
	ld	h,-32(ix)
	ld	c,(hl)
	inc	hl
	ld	b,(hl)
	inc	hl
	ld	e,(hl)
	inc	hl
	ld	d,(hl)
;	genAnd
	ld	b,#0x00
	ld	de,#0x0000
;	genAssign (pointer)
;	AOP_STK for __print_format_sloc3_1_0
;	isBitvar = 0
	ld	l,-33(ix)
	ld	h,-32(ix)
	ld	(hl),c
	inc	hl
	ld	(hl),b
	inc	hl
	ld	(hl),e
	inc	hl
	ld	(hl),d
;	genGoto
	jp	00164$
;	genLabel
00163$:
;printf_large.c:658: else if (long_argument)
;	genIfx
;	AOP_STK for __print_format_long_argument_1_1
	xor	a,a
	or	a,-7(ix)
	jp	z,00160$
;printf_large.c:660: value.l = va_arg(ap,long);
;	genAddrOf
;	AOP_STK for __print_format_sloc3_1_0
	ld	hl,#0x0016
	add	hl,sp
	ld	-33(ix),l
	ld	-32(ix),h
;	genPlus
;	AOP_STK for 
;	genPlusIncr
;	Can't optimise plus by inc, falling back to the normal way
	ld	a,10(ix)
	add	a,#0x04
	ld	e,a
	ld	a,11(ix)
	adc	a,#0x00
	ld	d,a
;	genAssign
;	AOP_STK for 
	ld	10(ix),e
	ld	11(ix),d
;	genMinus
	ld	a,e
	add	a,#0xFC
	ld	e,a
	ld	a,d
	adc	a,#0xFF
	ld	d,a
;	genPointerGet
	ld	l,e
	ld	h,d
	ld	e,(hl)
	inc	hl
	ld	d,(hl)
	inc	hl
	ld	c,(hl)
	inc	hl
	ld	b,(hl)
;	genAssign (pointer)
;	AOP_STK for __print_format_sloc3_1_0
;	isBitvar = 0
	ld	l,-33(ix)
	ld	h,-32(ix)
	ld	(hl),e
	inc	hl
	ld	(hl),d
	inc	hl
	ld	(hl),c
	inc	hl
	ld	(hl),b
;	genGoto
	jp	00164$
;	genLabel
00160$:
;printf_large.c:664: value.l = va_arg(ap,int);
;	genAddrOf
;	AOP_STK for __print_format_sloc3_1_0
	ld	hl,#0x0016
	add	hl,sp
	ld	-33(ix),l
	ld	-32(ix),h
;	genPlus
;	AOP_STK for 
;	genPlusIncr
	ld	e,10(ix)
	ld	d,11(ix)
	inc	de
	inc	de
;	genAssign
;	AOP_STK for 
	ld	10(ix),e
	ld	11(ix),d
;	genMinus
	dec	de
	dec	de
;	genPointerGet
	ld	l,e
	ld	h,d
	ld	e,(hl)
	inc	hl
	ld	d,(hl)
;	genCast
; Removed redundent load
; Removed redundent load
	ld	a,d
	rla	
	sbc	a,a
	ld	c,a
	ld	b,a
;	genAssign (pointer)
;	AOP_STK for __print_format_sloc3_1_0
;	isBitvar = 0
	ld	l,-33(ix)
	ld	h,-32(ix)
	ld	(hl),e
	inc	hl
	ld	(hl),d
	inc	hl
	ld	(hl),c
	inc	hl
	ld	(hl),b
;printf_large.c:665: if (!signed_argument)
;	genIfx
;	AOP_STK for __print_format_signed_argument_1_1
	xor	a,a
	or	a,-5(ix)
	jp	nz,00164$
;printf_large.c:667: value.l &= 0xFFFF;
;	genPointerGet
;	AOP_STK for __print_format_sloc3_1_0
	ld	l,-33(ix)
	ld	h,-32(ix)
	ld	c,(hl)
	inc	hl
	ld	b,(hl)
	inc	hl
	ld	e,(hl)
	inc	hl
	ld	d,(hl)
;	genAnd
	ld	de,#0x0000
;	genAssign (pointer)
;	AOP_STK for __print_format_sloc3_1_0
;	isBitvar = 0
	ld	l,-33(ix)
	ld	h,-32(ix)
	ld	(hl),c
	inc	hl
	ld	(hl),b
	inc	hl
	ld	(hl),e
	inc	hl
	ld	(hl),d
;	genLabel
00164$:
;printf_large.c:671: if ( signed_argument )
;	genIfx
;	AOP_STK for __print_format_signed_argument_1_1
	xor	a,a
	or	a,-5(ix)
	jp	z,00169$
;printf_large.c:673: if (value.l < 0)
;	genAddrOf
;	AOP_STK for __print_format_sloc3_1_0
	ld	hl,#0x0016
	add	hl,sp
;	genPointerGet
;	AOP_STK for __print_format_sloc3_1_0
	ld	-33(ix),l
	ld	-32(ix),h
	ld	e,(hl)
	inc	hl
	ld	d,(hl)
	inc	hl
	ld	c,(hl)
	inc	hl
	ld	b,(hl)
;	genCmpLt
	ld	a,b
	bit	7,a
	jp	z,00166$
;printf_large.c:674: value.l = -value.l;
;	genPointerGet
;	AOP_STK for __print_format_sloc3_1_0
	ld	l,-33(ix)
	ld	h,-32(ix)
	ld	c,(hl)
	inc	hl
	ld	b,(hl)
	inc	hl
	ld	e,(hl)
	inc	hl
	ld	d,(hl)
;	genUminus
	xor     a,a
	sbc	a,c
	ld	c,a
	ld	a,#0x00
	sbc	a,b
	ld	b,a
	ld	a,#0x00
	sbc	a,e
	ld	e,a
	ld	a,#0x00
	sbc	a,d
	ld	d,a
;	genAssign (pointer)
;	AOP_STK for __print_format_sloc3_1_0
;	isBitvar = 0
	ld	l,-33(ix)
	ld	h,-32(ix)
	ld	(hl),c
	inc	hl
	ld	(hl),b
	inc	hl
	ld	(hl),e
	inc	hl
	ld	(hl),d
;	genGoto
	jp	00169$
;	genLabel
00166$:
;printf_large.c:676: signed_argument = 0;
;	genAssign
;	AOP_STK for __print_format_signed_argument_1_1
	ld	-5(ix),#0x00
;	genLabel
00169$:
;printf_large.c:680: lsd = 1;
;	genAssign
;	AOP_STK for __print_format_lsd_1_1
	ld	-15(ix),#0x01
;printf_large.c:682: do {
;	genAssign
;	AOP_STK for __print_format_pstore_4_31
;	AOP_STK for __print_format_sloc1_1_0
	ld	a,-26(ix)
	ld	-30(ix),a
	ld	a,-25(ix)
	ld	-29(ix),a
;	genAssign
;	AOP_STK for __print_format_length_1_1
	ld	-18(ix),#0x00
;	genLabel
00173$:
;printf_large.c:683: value.byte[4] = 0;
;	genAddrOf
	ld	hl,#0x0016
	add	hl,sp
	ld	b,l
	ld	c,h
;	genPlus
;	genPlusIncr
;	Can't optimise plus by inc, falling back to the normal way
	ld	a,b
	add	a,#0x04
	ld	b,a
	ld	a,c
	adc	a,#0x00
	ld	c,a
;	genAssign (pointer)
;	isBitvar = 0
	ld	l,b
	ld	h,c
	ld	(hl),#0x00
;printf_large.c:685: calculate_digit(&value, radix);
;	genAddrOf
	ld	hl,#0x0016
	add	hl,sp
	ld	c,l
	ld	b,h
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 0 deSending: 0
;	AOP_STK for __print_format_radix_1_1
	ld	a,-16(ix)
	push	af
	inc	sp
;	genIpush
	push	bc
;	genCall
	call	_calculate_digit
	pop	af
	inc	sp
;printf_large.c:689: if (!lsd)
;	genIfx
;	AOP_STK for __print_format_lsd_1_1
	xor	a,a
	or	a,-15(ix)
	jp	nz,00171$
;printf_large.c:691: *pstore = (value.byte[4] << 4) | (value.byte[4] >> 4) | *pstore;
;	genAddrOf
	ld	hl,#0x0016
	add	hl,sp
	ld	c,l
	ld	b,h
;	genPlus
;	genPlusIncr
;	Can't optimise plus by inc, falling back to the normal way
	ld	a,c
	add	a,#0x04
	ld	e,a
	ld	a,b
	adc	a,#0x00
	ld	b,a
;	genPointerGet
	ld	l,e
	ld	h,b
	ld	c,(hl)
;	genLeftShift
	ld	a,c
	rlca
	rlca
	rlca
	rlca
	and	a,#0xF0
	ld	c,a
;	genPointerGet
	ld	l,e
	ld	h,b
	ld	b,(hl)
;	genRightShift
; Removed redundent load
	srl	b
	srl	b
	srl	b
	srl	b
;	genOr
	ld	a,c
	or	a,b
	ld	c,a
;	genPointerGet
;	AOP_STK for __print_format_sloc1_1_0
	ld	l,-30(ix)
	ld	h,-29(ix)
	ld	b,(hl)
;	genOr
	ld	a,c
	or	a,b
;	genAssign (pointer)
;	AOP_STK for __print_format_sloc1_1_0
;	isBitvar = 0
	ld	l,-30(ix)
	ld	h,-29(ix)
	ld	(hl),a
;printf_large.c:692: pstore--;
;	genMinus
;	AOP_STK for __print_format_sloc1_1_0
	ld	l,-30(ix)
	ld	h,-29(ix)
	dec	hl
	ld	-30(ix),l
	ld	-29(ix),h
;	genAssign
;	AOP_STK for __print_format_sloc1_1_0
;	AOP_STK for __print_format_pstore_4_31
	ld	a,-30(ix)
	ld	-26(ix),a
	ld	a,-29(ix)
	ld	-25(ix),a
;	genGoto
	jp	00172$
;	genLabel
00171$:
;printf_large.c:696: *pstore = value.byte[4];
;	genAddrOf
	ld	hl,#0x0016
	add	hl,sp
	ld	c,l
	ld	b,h
;	genPlus
;	genPlusIncr
	inc	bc
	inc	bc
	inc	bc
	inc	bc
;	genPointerGet
	ld	a,(bc)
;	genAssign (pointer)
;	AOP_STK for __print_format_sloc1_1_0
;	isBitvar = 0
	ld	l,-30(ix)
	ld	h,-29(ix)
	ld	(hl),a
;	genLabel
00172$:
;printf_large.c:698: length++;
;	genPlus
;	AOP_STK for __print_format_length_1_1
;	genPlusIncr
	inc	-18(ix)
;	genAssign
;	AOP_STK for __print_format_length_1_1
;	AOP_STK for __print_format_sloc2_1_0
	ld	a,-18(ix)
	ld	-31(ix),a
;printf_large.c:699: lsd = !lsd;
;	genNot
;	AOP_STK for __print_format_lsd_1_1
	xor	a,a
	or	a,-15(ix)
	sub	a,#0x01
	ld	a,#0x00
	rla
	ld	-15(ix),a
;printf_large.c:700: } while( value.ul );
;	genAddrOf
	ld	hl,#0x0016
	add	hl,sp
;	genPointerGet
	ld	c,l
	ld	b,h
	ld	c,(hl)
	inc	hl
	ld	b,(hl)
	inc	hl
	ld	e,(hl)
	inc	hl
	ld	d,(hl)
;	genIfx
	ld	a,c
	or	a,b
	or	a,e
	or	a,d
	jp	nz,00173$
;printf_large.c:702: if (width == 0)
;	genAssign
;	AOP_STK for __print_format_sloc1_1_0
;	AOP_STK for __print_format_pstore_4_31
	ld	a,-30(ix)
	ld	-26(ix),a
	ld	a,-29(ix)
	ld	-25(ix),a
;	genAssign
;	AOP_STK for __print_format_length_1_1
;	AOP_STK for __print_format_sloc2_1_0
	ld	a,-18(ix)
	ld	-31(ix),a
;	genIfx
;	AOP_STK for __print_format_width_1_1
	xor	a,a
	or	a,-17(ix)
	jp	nz,00177$
;printf_large.c:707: width=1;
;	genAssign
;	AOP_STK for __print_format_width_1_1
	ld	-17(ix),#0x01
;	genLabel
00177$:
;printf_large.c:711: if (!zero_padding && !left_justify)
;	genIfx
;	AOP_STK for __print_format_zero_padding_1_1
	xor	a,a
	or	a,-2(ix)
	jp	nz,00182$
;	genIfx
;	AOP_STK for __print_format_left_justify_1_1
	xor	a,a
	or	a,-1(ix)
	jp	nz,00182$
;printf_large.c:713: while ( width > (unsigned char) (length+1) )
;	genPlus
;	AOP_STK for __print_format_sloc2_1_0
;	genPlusIncr
	ld	c,-31(ix)
	inc	c
;	genAssign
;	AOP_STK for __print_format_sloc5_1_0
	ld	e,-36(ix)
	ld	d,-35(ix)
;	genAssign
;	AOP_STK for __print_format_width_1_1
	ld	b,-17(ix)
;	genLabel
00178$:
;	genCmpGt
	ld	a,c
	sub	a,b
	jp	nc,00300$
;printf_large.c:715: OUTPUT_CHAR( ' ', p );
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 1 bcInUse: 1 deSending: 0
	push	bc
	push	de
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
	ld	a,#0x20
	push	af
	inc	sp
;	genPcall
;	AOP_STK for 
	ld	hl,#00348$
	push	hl
	ld	l,4(ix)
	ld	h,5(ix)
	jp	(hl)
00348$:
	pop	af
	inc	sp
	pop	de
	pop	bc
;	genPlus
;	genPlusIncr
	inc	de
;	genAssign
;	AOP_STK for __print_format_sloc5_1_0
	ld	-36(ix),e
	ld	-35(ix),d
;printf_large.c:716: width--;
;	genMinus
	dec	b
;	genGoto
	jp	00178$
;	genLabel
00300$:
;	genAssign
;	AOP_STK for __print_format_sloc5_1_0
	ld	-36(ix),e
	ld	-35(ix),d
;	genAssign
;	AOP_STK for __print_format_width_1_1
	ld	-17(ix),b
;	genLabel
00182$:
;printf_large.c:720: if (signed_argument) // this now means the original value was negative
;	genIfx
;	AOP_STK for __print_format_signed_argument_1_1
	xor	a,a
	or	a,-5(ix)
	jp	z,00192$
;printf_large.c:722: OUTPUT_CHAR( '-', p );
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 0 deSending: 0
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
	ld	a,#0x2D
	push	af
	inc	sp
;	genPcall
;	AOP_STK for 
	ld	hl,#00349$
	push	hl
	ld	l,4(ix)
	ld	h,5(ix)
	jp	(hl)
00349$:
	pop	af
	inc	sp
;	genPlus
;	AOP_STK for __print_format_sloc5_1_0
;	genPlusIncr
	inc	-36(ix)
	jp	nz,00350$
	inc	-35(ix)
00350$:
;printf_large.c:724: width--;
;	genMinus
;	AOP_STK for __print_format_width_1_1
	dec	-17(ix)
;	genGoto
	jp	00193$
;	genLabel
00192$:
;printf_large.c:726: else if (length != 0)
;	genCmpEq
;	AOP_STK for __print_format_sloc2_1_0
; genCmpEq: left 1, right 1, result 0
	ld	a,-31(ix)
	or	a,a
	jp	z,00193$
00351$:
;printf_large.c:729: if (prefix_sign)
;	genIfx
;	AOP_STK for __print_format_prefix_sign_1_1
	xor	a,a
	or	a,-3(ix)
	jp	z,00187$
;printf_large.c:731: OUTPUT_CHAR( '+', p );
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 0 deSending: 0
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
	ld	a,#0x2B
	push	af
	inc	sp
;	genPcall
;	AOP_STK for 
	ld	hl,#00352$
	push	hl
	ld	l,4(ix)
	ld	h,5(ix)
	jp	(hl)
00352$:
	pop	af
	inc	sp
;	genPlus
;	AOP_STK for __print_format_sloc5_1_0
;	genPlusIncr
	inc	-36(ix)
	jp	nz,00353$
	inc	-35(ix)
00353$:
;printf_large.c:733: width--;
;	genMinus
;	AOP_STK for __print_format_width_1_1
	dec	-17(ix)
;	genGoto
	jp	00193$
;	genLabel
00187$:
;printf_large.c:735: else if (prefix_space)
;	genIfx
;	AOP_STK for __print_format_prefix_space_1_1
	xor	a,a
	or	a,-4(ix)
	jp	z,00193$
;printf_large.c:737: OUTPUT_CHAR( ' ', p );
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 0 deSending: 0
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
	ld	a,#0x20
	push	af
	inc	sp
;	genPcall
;	AOP_STK for 
	ld	hl,#00354$
	push	hl
	ld	l,4(ix)
	ld	h,5(ix)
	jp	(hl)
00354$:
	pop	af
	inc	sp
;	genPlus
;	AOP_STK for __print_format_sloc5_1_0
;	genPlusIncr
	inc	-36(ix)
	jp	nz,00355$
	inc	-35(ix)
00355$:
;printf_large.c:739: width--;
;	genMinus
;	AOP_STK for __print_format_width_1_1
	dec	-17(ix)
;	genLabel
00193$:
;printf_large.c:744: if (!left_justify)
;	genIfx
;	AOP_STK for __print_format_left_justify_1_1
	xor	a,a
	or	a,-1(ix)
	jp	nz,00201$
;printf_large.c:745: while ( width-- > length )
;	genAssign
;	AOP_STK for __print_format_sloc5_1_0
	ld	c,-36(ix)
	ld	b,-35(ix)
;	genAssign
;	AOP_STK for __print_format_width_1_1
	ld	e,-17(ix)
;	genLabel
00194$:
;	genAssign
	ld	d,e
;	genMinus
	dec	e
;	genAssign
;	AOP_STK for __print_format_width_1_1
	ld	-17(ix),e
;	genCmpGt
;	AOP_STK for __print_format_sloc2_1_0
	ld	a,-31(ix)
	sub	a,d
	jp	nc,00301$
;printf_large.c:747: OUTPUT_CHAR( zero_padding ? '0' : ' ', p );
;	genIfx
;	AOP_STK for __print_format_zero_padding_1_1
	xor	a,a
	or	a,-2(ix)
	jp	z,00227$
;	genAssign
	ld	d,#0x30
;	genGoto
	jp	00228$
;	genLabel
00227$:
;	genAssign
	ld	d,#0x20
;	genLabel
00228$:
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 1 bcInUse: 1 deSending: 0
	push	bc
	push	de
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
	push	de
	inc	sp
;	genPcall
;	AOP_STK for 
	ld	hl,#00356$
	push	hl
	ld	l,4(ix)
	ld	h,5(ix)
	jp	(hl)
00356$:
	pop	af
	inc	sp
	pop	de
	pop	bc
;	genPlus
;	genPlusIncr
	inc	bc
;	genAssign
;	AOP_STK for __print_format_sloc5_1_0
	ld	-36(ix),c
	ld	-35(ix),b
;	genGoto
	jp	00194$
;	genLabel
00201$:
;printf_large.c:752: if (width > length)
;	genCmpGt
;	AOP_STK for __print_format_width_1_1
;	AOP_STK for __print_format_sloc2_1_0
	ld	a,-31(ix)
	sub	a,-17(ix)
	jp	nc,00198$
;printf_large.c:753: width -= length;
;	genMinus
;	AOP_STK for __print_format_width_1_1
;	AOP_STK for __print_format_sloc2_1_0
	ld	a,-17(ix)
	sub	a,-31(ix)
	ld	-17(ix),a
;	genGoto
	jp	00293$
;	genLabel
00198$:
;printf_large.c:755: width = 0;
;	genAssign
;	AOP_STK for __print_format_width_1_1
	ld	-17(ix),#0x00
;printf_large.c:792: return charsOutputted;
;	genGoto
	jp	00293$
;printf_large.c:759: while( length-- )
;	genLabel
00301$:
;	genAssign
;	AOP_STK for __print_format_sloc5_1_0
	ld	-36(ix),c
	ld	-35(ix),b
;	genAssign
;	AOP_STK for __print_format_width_1_1
	ld	-17(ix),e
;	genLabel
00293$:
;	genAssign
;	AOP_STK for __print_format_pstore_4_31
	ld	c,-26(ix)
	ld	b,-25(ix)
;	genAssign
;	AOP_STK for __print_format_sloc5_1_0
;	AOP_STK for __print_format_sloc3_1_0
	ld	a,-36(ix)
	ld	-33(ix),a
	ld	a,-35(ix)
	ld	-32(ix),a
;	genAssign
;	AOP_STK for __print_format_sloc2_1_0
;	AOP_STK for __print_format_sloc4_1_0
	ld	a,-31(ix)
	ld	-34(ix),a
;	genLabel
00206$:
;	genAssign
;	AOP_STK for __print_format_sloc4_1_0
	ld	e,-34(ix)
;	genMinus
;	AOP_STK for __print_format_sloc4_1_0
	dec	-34(ix)
;	genIfx
	xor	a,a
	or	a,e
	jp	z,00302$
;printf_large.c:761: lsd = !lsd;
;	genNot
;	AOP_STK for __print_format_lsd_1_1
	xor	a,a
	or	a,-15(ix)
	sub	a,#0x01
	ld	a,#0x00
	rla
	ld	-15(ix),a
;printf_large.c:762: if (!lsd)
;	genIfx
;	AOP_STK for __print_format_lsd_1_1
	xor	a,a
	or	a,-15(ix)
	jp	nz,00204$
;printf_large.c:764: pstore++;
;	genPlus
;	genPlusIncr
	inc	bc
;printf_large.c:765: value.byte[4] = *pstore >> 4;
;	genAddrOf
	ld	hl,#0x0016
	add	hl,sp
	ld	e,l
	ld	d,h
;	genPlus
;	AOP_STK for __print_format_sloc1_1_0
;	genPlusIncr
;	Can't optimise plus by inc, falling back to the normal way
	ld	a,e
	add	a,#0x04
	ld	-30(ix),a
	ld	a,d
	adc	a,#0x00
	ld	-29(ix),a
;	genPointerGet
	ld	a,(bc)
	ld	e,a
;	genRightShift
; Removed redundent load
	srl	e
	srl	e
	srl	e
	srl	e
;	genAssign (pointer)
;	AOP_STK for __print_format_sloc1_1_0
;	isBitvar = 0
	ld	l,-30(ix)
	ld	h,-29(ix)
	ld	(hl),e
;	genGoto
	jp	00205$
;	genLabel
00204$:
;printf_large.c:769: value.byte[4] = *pstore & 0x0F;
;	genAddrOf
	ld	hl,#0x0016
	add	hl,sp
	ld	e,l
	ld	d,h
;	genPlus
;	AOP_STK for __print_format_sloc1_1_0
;	genPlusIncr
;	Can't optimise plus by inc, falling back to the normal way
	ld	a,e
	add	a,#0x04
	ld	-30(ix),a
	ld	a,d
	adc	a,#0x00
	ld	-29(ix),a
;	genPointerGet
	ld	a,(bc)
;	genAnd
	ld	e,a
	and	a,#0x0F
;	genAssign (pointer)
;	AOP_STK for __print_format_sloc1_1_0
;	isBitvar = 0
	ld	l,-30(ix)
	ld	h,-29(ix)
	ld	(hl),a
;	genLabel
00205$:
;printf_large.c:772: output_digit( value.byte[4], lower_case, output_char, p );
;	genAddrOf
	ld	hl,#0x0016
	add	hl,sp
	ld	e,l
	ld	d,h
;	genPlus
;	genPlusIncr
	inc	de
	inc	de
	inc	de
	inc	de
;	genPointerGet
	ld	a,(de)
	ld	e,a
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 1 deSending: 0
	push	bc
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
;	AOP_STK for 
	ld	l,4(ix)
	ld	h,5(ix)
	push	hl
;	genIpush
;	AOP_STK for __print_format_lower_case_1_1
	ld	a,-9(ix)
	push	af
	inc	sp
;	genIpush
	ld	a,e
	push	af
	inc	sp
;	genCall
	call	_output_digit
	pop	af
	pop	af
	pop	af
	pop	bc
;printf_large.c:773: charsOutputted++;
;	genPlus
;	AOP_STK for __print_format_sloc3_1_0
;	genPlusIncr
	inc	-33(ix)
	jp	nz,00357$
	inc	-32(ix)
00357$:
;	genAssign
;	AOP_STK for __print_format_sloc3_1_0
;	AOP_STK for __print_format_sloc5_1_0
	ld	a,-33(ix)
	ld	-36(ix),a
	ld	a,-32(ix)
	ld	-35(ix),a
;	genGoto
	jp	00206$
;	genLabel
00302$:
;	genAssign
;	AOP_STK for __print_format_sloc3_1_0
;	AOP_STK for __print_format_sloc5_1_0
	ld	a,-33(ix)
	ld	-36(ix),a
	ld	a,-32(ix)
	ld	-35(ix),a
;printf_large.c:778: if (left_justify)
;	genIfx
;	AOP_STK for __print_format_left_justify_1_1
	xor	a,a
	or	a,-1(ix)
	jp	z,00222$
;printf_large.c:779: while (width-- > 0)
;	genAssign
;	AOP_STK for __print_format_sloc3_1_0
	ld	c,-33(ix)
	ld	b,-32(ix)
;	genAssign
;	AOP_STK for __print_format_width_1_1
	ld	e,-17(ix)
;	genLabel
00209$:
;	genAssign
	ld	d,e
;	genMinus
	dec	e
;	genIfx
	xor	a,a
	or	a,d
	jp	z,00222$
;printf_large.c:781: OUTPUT_CHAR(' ', p);
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 1 bcInUse: 1 deSending: 0
	push	bc
	push	de
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
	ld	a,#0x20
	push	af
	inc	sp
;	genPcall
;	AOP_STK for 
	ld	hl,#00358$
	push	hl
	ld	l,4(ix)
	ld	h,5(ix)
	jp	(hl)
00358$:
	pop	af
	inc	sp
	pop	de
	pop	bc
;	genPlus
;	genPlusIncr
	inc	bc
;	genAssign
;	AOP_STK for __print_format_sloc5_1_0
	ld	-36(ix),c
	ld	-35(ix),b
;	genGoto
	jp	00209$
;	genLabel
00220$:
;printf_large.c:788: OUTPUT_CHAR( c, p );
;	genIpush
; _saveRegsForCall: sendSetSize: 0 deInUse: 0 bcInUse: 0 deSending: 0
;	AOP_STK for 
	ld	l,6(ix)
	ld	h,7(ix)
	push	hl
;	genIpush
	push	bc
	inc	sp
;	genPcall
;	AOP_STK for 
	ld	hl,#00359$
	push	hl
	ld	l,4(ix)
	ld	h,5(ix)
	jp	(hl)
00359$:
	pop	af
	inc	sp
;	genPlus
;	AOP_STK for __print_format_sloc5_1_0
;	genPlusIncr
	inc	-36(ix)
	jp	nz,00360$
	inc	-35(ix)
00360$:
;	genGoto
	jp	00222$
;	genLabel
00224$:
;printf_large.c:792: return charsOutputted;
;	genRet
;	AOP_STK for __print_format_sloc5_1_0
; Dump of IC_LEFT: type AOP_STK size 2
;	 aop_stk -36
	ld	l,-36(ix)
	ld	h,-35(ix)
;	genLabel
00225$:
;	genEndFunction
	ld	sp,ix
	pop	ix
	ret
__print_format_end::
__str_0:
	.ascii "<NO FLOAT>"
	.db 0x00
	.area _CODE
